use askama::Template;

use crate::BlogPost;

#[derive(Template)]
#[template(path = "home.html")]
pub struct HomePage {
    pub visitors: usize,
}

#[derive(Template)]
#[template(path = "blog.html")]
pub struct BlogPage {
    pub posts: Vec<BlogPost>,
}

#[derive(Template)]
#[template(path = "post.html")]
pub struct PostPage {
    pub content: String,
}
